$(function(){
	var btn = '.paragraph_expand';
	var s_open = '開く';
	var s_close = '閉じる';
	var s_header = '.item :header,.caption :header';
	var s_indent = '.item .indent,.caption .indent';

	if ($('div').hasClass('item'))
	{
		$(btn).text(s_close);
	}
	else
	{
		$(btn).text(s_open);
		$('.caption .indent').hide();
	}

	$(s_header).hover(function(){
		$(this).fadeTo('fast',0.7);
		$(this).css('cursor','pointer');
	},function(){
		$(this).fadeTo('fast',1);
		$(this).css('cursor','default');
	});

	$(s_header).click(function(){
		$(this).next('.indent').slideToggle('fast');
	});

	$(btn).click(function(){
		$(s_indent).slideToggle('fast',function(){
			if ($(s_indent).css('display') == 'none')
			{
				$(btn).text(s_open);
			}
			else
			{
				$(btn).text(s_close);
			}
		});
	});
})
